Subject: bug#21934: 24.5; find-tag: reading TAGS file incorrectly

From: Dmitry Gutov <[email-masked]>
Date: Wed, 18 Nov 2015 03:56:32 +0200

On 11/17/2015 09:38 PM, Andreas Matthias wrote:

> This one creates the same TAGS file... Hmm... Am I doing something wrong...?

I'm terribly sorry, I had it backwards: Emacs's etags generates TAGS 
file just like you submitted.

I also have a different etags in my system, that comes from Exuberant 
Ctags, and it generates a different TAGS, looking like this:

test.lua,98
function Rectangle.getPos ()^?Rectangle.getPos ^A2,15
function Circle.getPos ()^?Circle.getPos ^A6,61

And that one works with `find-tag' just fine. So it would be nice if Eli 
could comment on the difference, and whether etags should be patched 
instead.